View Issue Details

IDProjectCategoryView StatusLast Update
0004230PartBugpublic2019-12-30 15:30
Reporterlutz_dd Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004230: 2nd edit of Chamfer @ Part-WB crashes, while 1st edit reports "Illegal storage access!" in the ReportView
DescriptionI'm getting pretty reliable a crash if a chamfer is edited a 2nd time in the current session while ignoring "... restart the application" in the ReportView.
My setup is clean after fresh installation with the old directory App/Roaming/Freecad renamed.

- My previous version FC 0.19.18760 from Nov/18th/2019 does not express this behavior @ win7
- According to https://forum.freecadweb.org/viewtopic.php?f=3&t=41849#p355440 latest checked functional version is 0.19.18846
- Latest version FC 0.19.18990 from Dec/18th/2019 is still having this issue @ Win7

Steps To ReproduceStart FreeCad ...
Edit/Preferences
. . . change Language to "English"
. . . The ReportView returns . . . "Failed to load UI file from ':/ui/preferences-dxf.ui'"
File/New
Change WB-Start -> WB-Part
Part/Primitives/Cube
Part/Chamfer...
. . . Select Edge1
. . . Press OK
Select the "Chamfer" in ComboView/Model-Tab
RMB (RightMouseButton) over the "Chamfer" ... choose "Edit chamfer edges"
. . . Press OK
. . . The ReportView returns . . . Illegal storage access / <Exception> Illegal storage access! Please save your work under a new file name and restart the application!
RMB (RightMouseButton) over the "Chamfer" ... choose "Edit chamfer edges"
. . . Press OK
. . . Crash
Additional Informationsee https://forum.freecadweb.org/viewtopic.php?f=3&t=41849
(reported OS: Win7Pro, Win8.1, Debian, macOS)
Tags#tobeclosed, Chamfer, fillet
FreeCAD InformationOS: Windows 7 SP 1 (6.1)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18990 (Git)
Build type: Release
Branch: master
Hash: e499f384240196c415f207520bfbcb8df9d1b0d2
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: German/Germany (de_DE)

Activities

otoien

2019-12-25 21:36

reporter   ~0013941

The same bug is present if the Fillet tool is used instead, both with version 0.19.18990 and 0.19.19060, but not in 0.19.18842.

OS: Windows 7 SP 1 (6.1)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.19060 (Git)
Build type: Release
Branch: master
Hash: 72065b0d3960ec9b4aa90cce1a6e810e8bab68c4
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)


OS: Windows 7 SP 1 (6.1)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18842 (Git)
Build type: Release
Branch: master
Hash: 2fa9369d4203f33c62afddfbe190bb4e089d1840
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)

Kunda1

2019-12-28 13:01

administrator   ~0013946

A PR has been submitted: FreeCAD Pull Request 2835 by github user rajendrasp

Kunda1

2019-12-28 13:09

administrator   ~0013947

This ticket is assigned to rajendrasp (doesn't have a mantis login).

rajendrasp79

2019-12-28 15:28

reporter   ~0013948

@Kunda1 thanks for the comments. I am getting used to the process with FreeCAD development. Will surely take a note to leave a comment on the issue page while working on an issue

Kunda1

2019-12-30 15:19

administrator   ~0013959

Last edited: 2019-12-30 15:20

View 2 revisions

PR didn't reference this ticket correctly. so I'm manually associating it:
PR merged in FreeCAD master 28d67eba

Kunda1

2019-12-30 15:23

administrator   ~0013960

@lutz_dd please test to see if fix indeed fixes the bug.

Related Changesets

FreeCAD: master 28d67eba

2019-12-26 18:08:24

rajendrasp79


Committer: wmayer Details Diff
Issue ID 0004230 : Fixing a crash in chamfer command. Putting a null check for the function return value
[skip ci]
Affected Issues
0004230
mod - src/Gui/Document.cpp Diff File
mod - src/Mod/Sketcher/Gui/Command.cpp Diff File

Issue History

Date Modified Username Field Change
2019-12-21 17:41 lutz_dd New Issue
2019-12-21 17:43 lutz_dd Tag Attached: 0.19
2019-12-21 17:43 lutz_dd Tag Attached: Chamfer
2019-12-21 17:43 lutz_dd Tag Attached: Part
2019-12-21 17:43 lutz_dd Tag Attached: crash
2019-12-21 17:45 lutz_dd Additional Information Updated View Revisions
2019-12-23 17:16 openBrain Tag Detached: Part
2019-12-23 17:16 openBrain Tag Detached: crash
2019-12-23 17:16 openBrain Tag Detached: 0.19
2019-12-23 17:20 openBrain Status new => acknowledged
2019-12-25 21:36 otoien Note Added: 0013941
2019-12-25 21:38 otoien Tag Attached: fillet
2019-12-28 13:01 Kunda1 Note Added: 0013946
2019-12-28 13:09 Kunda1 Status acknowledged => assigned
2019-12-28 13:09 Kunda1 Note Added: 0013947
2019-12-28 13:09 Kunda1 Target Version => 0.19
2019-12-28 13:10 Kunda1 Tag Attached: #pending
2019-12-28 15:28 rajendrasp79 Note Added: 0013948
2019-12-30 15:19 Kunda1 Note Added: 0013959
2019-12-30 15:20 Kunda1 Note Edited: 0013959 View Revisions
2019-12-30 15:20 Kunda1 Changeset attached => FreeCAD master 28d67eba
2019-12-30 15:21 Kunda1 Tag Detached: #pending
2019-12-30 15:21 Kunda1 Tag Attached: #tobeclosed
2019-12-30 15:23 Kunda1 Status assigned => resolved
2019-12-30 15:23 Kunda1 Resolution open => fixed
2019-12-30 15:23 Kunda1 Fixed in Version => 0.19
2019-12-30 15:23 Kunda1 Note Added: 0013960
2019-12-30 15:30 wmayer Status resolved => closed